<!DOCTYPE html>
<html>
    <head>
        <meta charset="UTF-8">
        <title>DevicesServiceProvider</title>
        <!-- <script src="http://use.edgefonts.net/source-sans-pro;source-code-pro.js"></script> -->
<link href='http://fonts.googleapis.com/css?family=Source+Sans+Pro:300,400,700,300italic,400italic,700italic|Source+Code+Pro:300,400,700' rel='stylesheet' type='text/css'>
<link rel="stylesheet" href="../assets/css/bootstrap.css">
<link rel="stylesheet" href="../assets/css/jquery.bonsai.css">
<link rel="stylesheet" href="../assets/css/main.css">
<link rel="stylesheet" href="../assets/css/icons.css">
<script type="text/javascript" src="../assets/js/jquery-2.1.0.min.js"></script>
<script type="text/javascript" src="../assets/js/bootstrap.js"></script>
<script type="text/javascript" src="../assets/js/jquery.bonsai.js"></script>
<!-- <script type="text/javascript" src="../assets/js/main.js"></script> -->

    </head>
    <body>
        <div>

            <!-- Name Title -->

            <h1>DevicesServiceProvider</h1>

            <!-- Type and Stereotype -->

            <section style="margin-top: .5em;">
                <span class="alert alert-info">
                    <span class="node-icon _icon-UMLAttribute"></span>
                    UMLAttribute
                </span>
                
            </section>

            <!-- Path -->

            <section style="margin-top: 10px">
                
                
                
                    
                    <span class="label label-info"><a href='cf9c8b720f3815adeccaf3ef6e48c6c4.html'><span class='node-icon _icon-Project'></span>SDS_API</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='7509e2c2e6188caa1c4f143a6d87cb8b.html'><span class='node-icon _icon-UMLModel'></span>Interactions</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='341c7df429de369b1a79a9b84b71abc1.html'><span class='node-icon _icon-UMLCollaboration'></span>SCADA-WebService</a></span>
                
                    <span>::</span>
                    <span class="label label-info"><a href='16417d88ea89b7b0c47b4d460cc534b1.html'><span class='node-icon _icon-UMLAttribute'></span>DevicesServiceProvider</a></span>
                
            </section>

            <!-- Diagram -->

            

            <!-- Description -->

            
            <section>
                <h3>Description</h3>
                <div>
                    
                        <span class="label label-info">none</span>
                    
                </div>
            </section>
            

            <!-- Specification -->

            

            <!-- Directed Relationship -->

            

            <!-- Undirected Relationship -->

            

            <!-- Classifier -->

            

            <!-- Interface -->

            

            <!-- Component -->

            

            <!-- Node -->

            

            <!-- Actor -->

            

            <!-- Use Case -->

            

            <!-- Template Parameters -->

            

            <!-- Literals -->

            

            <!-- Attributes -->

            

            <!-- Operations -->

            

            <!-- Receptions -->

            

            <!-- Extension Points -->

            

            <!-- Parameters -->

            

            <!-- Diagrams -->

            
            

            <!-- Behavior -->

            

            <!-- Action -->

            

            <!-- Interaction -->

            

            <!-- CombinedFragment -->

            

            <!-- Activity -->

            

            <!-- State Machine -->

            

            <!-- State Machine -->

            

            <!-- State -->

            

            <!-- Vertex -->

            

            <!-- Transition -->

            

            <!-- Properties -->

            <section>
                <h3>Properties</h3>
                
                <table class="table table-striped table-bordered">
    <tr>
        <th width="50%">Name</th>
        <th width="50%">Value</th>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>name</td>
        <td>DevicesServiceProvider</td>
    </tr>
    
    
    
    
    
    
    
    
    
    
    
    <tr>
        <td>stereotype</td>
        <td><span class='label label-info'>null</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>visibility</td>
        <td>public</td>
    </tr>
    
    
    
    
    
    
    
    <tr>
        <td>isStatic</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isLeaf</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>type</td>
        <td><a href='aad24dfa7a4656f2c1288639fc0bf1af.html'><span class='node-icon _icon-UMLClass'></span>«@Path=(&quot;&lt;host:5000&gt;/SDS_API/resources/Devicelist/{element}&quot;)»DevicesService</a></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>multiplicity</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isReadOnly</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isOrdered</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isUnique</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>defaultValue</td>
        <td></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isDerived</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
    
    
    <tr>
        <td>aggregation</td>
        <td>none</td>
    </tr>
    
    
    
    
    
    <tr>
        <td>isID</td>
        <td><span class='label label-info'>false</span></td>
    </tr>
    
    
    
</table>                

            </section>

            <!-- Tags -->

            

            <!-- Constraints, Dependencies, Dependants -->

            
                
                


                
                


                
                

            

            <!-- Relationships -->

            
            
<section class="element-list">
    <h3>Relationships</h3>
    <ul class="nav nav-list">
        
        <li><a href='80a98a7176f82f8d81b4c249c2a4adbb.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—SuperService)</a></li>
        
        <li><a href='dac91c6b4db78090cdf6271fc2ed68c4.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
        <li><a href='891b96ad4a7fb97e7404fc3b2a4c3531.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
        <li><a href='f01655b70823393ec6e14376b9779dd7.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—DevicesServiceProvider)</a></li>
        
        <li><a href='c1ef5939156d18b3ff62d2d5cd0dbf95.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—Devices)</a></li>
        
        <li><a href='021a73054c9e9ce46c26feeca819ac8d.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
        <li><a href='c894531a4ea736c66f00d8fdf2fcf4c1.html'><span class='node-icon _icon-UMLConnector'></span>(SuperService—DevicesServiceProvider)</a></li>
        
        <li><a href='3b5cdd89b4f7351bbd90a5014215271d.html'><span class='node-icon _icon-UMLConnector'></span>(SDS_Rest—DevicesServiceProvider)</a></li>
        
    </ul>
</section>



            <!-- Owned Elements -->

            
            
<section class="element-list">
    <h3>Owned Elements</h3>
    <ul class="nav nav-list">
        
        <li><a href='80a98a7176f82f8d81b4c249c2a4adbb.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—SuperService)</a></li>
        
        <li><a href='dac91c6b4db78090cdf6271fc2ed68c4.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
        <li><a href='891b96ad4a7fb97e7404fc3b2a4c3531.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
        <li><a href='f01655b70823393ec6e14376b9779dd7.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—DevicesServiceProvider)</a></li>
        
        <li><a href='c1ef5939156d18b3ff62d2d5cd0dbf95.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—Devices)</a></li>
        
        <li><a href='021a73054c9e9ce46c26feeca819ac8d.html'><span class='node-icon _icon-UMLConnector'></span>(DevicesServiceProvider—RestClient)</a></li>
        
    </ul>
</section>



        </div>
    </body>
</html>
